# Uses of Interface
com.sun.source.doctree.EndElementTree

Packages that use EndElementTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of EndElementTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type EndElementTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitEndElement(EndElementTree node, P p)`
Visits an `EndElementTree` node.

## Uses of EndElementTree in com.sun.source.util

Methods in com.sun.source.util that return EndElementTree
Modifier and Type
Method
Description
`EndElementTree`
DocTreeFactory.`newEndElementTree(Name name)`
Creates a new `EndElement` object, to represent the end of an HTML element.
Methods in com.sun.source.util with parameters of type EndElementTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitEndElement(EndElementTree node, P p)`
Visits an `EndElementTree` node.
`R`
SimpleDocTreeVisitor.`visitEndElement(EndElementTree node, P p)`
Visits an `EndElementTree` node.